MySQL Cluster 7.0.7 source released

Update: As explained in “MySQL Cluster 7.0.7 binaries released” you can now download the compiled binaries for your particular platform. I am going to leave this entry in place as it will hopefully be useful for future releases but for 7.0.7 you should refer to that other post.

You’ll need to wait for the pre-built binaries but you can now download the source code and build it for yourself to get started. This article explains where to get it and how to build, install and test the installation.

In this example, I’ve used Ubuntu.

The first step is to download the compressed tar ball containing the source code by pointing your browser to ftp://ftp.mysql.com/pub/mysql/download/cluster_telco/mysql-5.1.35-ndb-7.0.7/mysql-cluster-gpl-7.0.7.tar.gz

Then you need to extract the code and then build and install the software:

You can then test that the installation has been successful:

Following this you can configure and use the software as normal (refer to Creating a simple Cluster on a single LINUX host).

The annotated header information has already been updated in the NDB API Docs section.

A description of all of the changes (fixes) that have gone into MySQL Cluster 7.0.7 (compared to 7.0.6) can be found in the MySQL Cluster 7.0.7 Change Log.

14 thoughts on “MySQL Cluster 7.0.7 source released

  1. Halo..

    my name is alex, and i want to ask about installing mysql cluster 7.0.* to ubuntu, i am already download the package tarbal, extract it and when io am tryin to reconfigure it there was error as follows :

    alex@ubuntu:~/Desktop/7_0_7$ autoreconf –force –install
    Can’t exec “libtoolize”: No such file or directory at /usr/bin/autoreconf2.50 line 188.
    Use of uninitialized value $libtoolize in pattern match (m//) at /usr/bin/autoreconf2.50 line 188.
    configure.in:1891: warning: AC_CACHE_VAL(mysql_use_mysys_new, …): suspicious cache-id, must contain _cv_ to be cached
    ../../lib/autoconf/general.m4:1974: AC_CACHE_VAL is expanded from…
    ../../lib/autoconf/general.m4:1994: AC_CACHE_CHECK is expanded from…
    config/ac-macros/misc.m4:599: MYSQL_NEEDS_MYSYS_NEW is expanded from…
    configure.in:1891: the top level
    configure.in:2490: warning: AC_CACHE_VAL(have_ndbmtd_asm, …): suspicious cache-id, must contain _cv_ to be cached
    configure.in:2490: the top level
    configure.in:1891: warning: AC_CACHE_VAL(mysql_use_mysys_new, …): suspicious cache-id, must contain _cv_ to be cached
    ../../lib/autoconf/general.m4:1974: AC_CACHE_VAL is expanded from…
    ../../lib/autoconf/general.m4:1994: AC_CACHE_CHECK is expanded from…
    config/ac-macros/misc.m4:599: MYSQL_NEEDS_MYSYS_NEW is expanded from…
    configure.in:1891: the top level
    configure.in:2490: warning: AC_CACHE_VAL(have_ndbmtd_asm, …): suspicious cache-id, must contain _cv_ to be cached
    configure.in:2490: the top level
    configure.in:1891: warning: AC_CACHE_VAL(mysql_use_mysys_new, …): suspicious cache-id, must contain _cv_ to be cached
    ../../lib/autoconf/general.m4:1974: AC_CACHE_VAL is expanded from…
    ../../lib/autoconf/general.m4:1994: AC_CACHE_CHECK is expanded from…
    config/ac-macros/misc.m4:599: MYSQL_NEEDS_MYSYS_NEW is expanded from…
    configure.in:1891: the top level
    configure.in:2490: warning: AC_CACHE_VAL(have_ndbmtd_asm, …): suspicious cache-id, must contain _cv_ to be cached
    configure.in:2490: the top level
    configure.in:238: error: possibly undefined macro: AC_PROG_LIBTOOL
    If this token and others are legitimate, please use m4_pattern_allow.
    See the Autoconf documentation.
    autoreconf2.50: /usr/bin/autoconf failed with exit status: 1

    could u help me with this problem..?
    i am using ubuntu 9.0.4 jaunty

    Regards

    Alex

  2. hi andrew..

    thx for your advice mysql test already running exactly the same as the tutorial, except the port :), i am using lampp package (from Xampp) as a http server, and php language to developing program using clustering method, i dun use the mysql from the package, so a start each package individually,the question is how to run mysql cluster , that make it connect to the lampp package..?

    best regards

    alex

Leave a Reply

Your email address will not be published. Required fields are marked *

Please enter. * Time limit is exhausted. Please reload CAPTCHA.